TE = joinpath(homedir(), "Downloads", "VectorExtension.test", "")

if isdir(TE)

    rm(TE; recursive = true)

end

mkdir(TE)

println("Made ", TE, ".")

using Revise
using BenchmarkTools

using VectorExtension

for ve_ in [
    [[], []],
    [[1], [1, 2]],
    [[1.0], [1.0, 2.0]],
    [['a'], ['a', 'b']],
    [["a"], ["a", "b"]],
    [[1, 2, 3], [1, 4, 5]],
]

    println(get_longest_common_prefix(ve_))

end

ca_ = string.(collect("A23456789XJQK"))

st1_ = ["1", "2", "K"]

;

is_in(ca_, st1_)

ca_id = Dict(ca => id for (id, ca) in enumerate(ca_))

is_in(ca_id, st1_)

ve_ = [["a", "e", "K", "t"], ["a", "K", "t", "w"]]

sort_like([[2, 4, 1, 3], ve_...])

sort_like([[3, 1, 4, 2], ve_...])

rm(TE; recursive = true)

println("Removed ", TE, ".")
