# VectorExtension.jl

Do more with vectors :school_satchel:

## Use

```jl
using  VectorExtension
```

### get_longest_common_prefix

Get the longest common prefix

```jl
get_longest_common_prefix([
    ["Monkey", "D", "Luffy"],
    ["Monkey", "D", "Dragon"],
    ["Monkey", "D", "Garp", "may", "not", "be", "Dragon's", "dad", "!"],
])

# ["Monkey", "D"]
```

### is_in

Check if each string in the first vector is in the second vector

```jl
is_in(["Zoro", "Buggy", "Crocodile"], straw_hat_pirate_crews)

# [1.0, 0.0, 0.0]
```

### sort_like

Sort all vectors like the first one

```jl
sort_like([
    [2, 3, 1],
    ["D", "Luffy", "Monkey"],
    ["D", "Dragon", "Monkey"],
])

# [[1, 2, 3], ["Monkey", "D", "Luffy"], ["Monkey", "D", "Dragon"]]
```


## Howdy :wave: :cowboy_hat_face:

To report a bug, request a feature, or leave a comment (about anything related to this repository), just [submit an issue](https://github.com/KwatMDPhD/VectorExtension.jl/issues/new/choose).

---

Made by https://github.com/KwatMDPhD/PkgRepository.jl
